Search documentation of jhn_stdlib

# jhn_chash (jhn_stdlib v5.10.3)

View Source

Consistent hashing

Jump consistent hashing based on: A Fast, Minimal Memory, Consistent Hash Algorithm by John Lamping and Eric Veach

# Summary

## Functions

jump(Key, Buckets)

Given a integer key and the number of buckets it select a bucket.

# Functions

# jump(Key, Buckets)

    -spec jump(integer(), integer()) -> integer().

Given a integer key and the number of buckets it select a bucket.